stages:
- build
- release

build_image:
  stage: release
  only:
  - master

  image:
    name: gcr.io/kaniko-project/executor:v1.9.2-debug
    entrypoint: [""]

  script:
  - /kaniko/executor --context "$CI_PROJECT_DIR" --dockerfile "$CI_PROJECT_DIR/Dockerfile" --destination "$CI_REGISTRY_IMAGE:latest"
